#pragma once

#include <string>
#include <filesystem>

using Path = std::filesystem::path;

class SiteGeneratorConfig
{
public:
    Path getThemePath() const;

    std::string getActiveTheme() const;

    void setThemePath(const Path& path);

    void setActiveTheme(const std::string& theme);

private:
    Path mThemesPath;
    std::string mActiveTheme;
};
